#!/usr/local/bin/ruby
require 'drb/drb'
require 'rss'
require 'rsscache'

if __FILE__ == $0
  DRb.start_service(nil, RSS::Cache.new)
  begin
	  File.open("log/rssdrb.log", "w") do |f|
	    f.write DRb.uri
	  end
  rescue
    print "log directory not writable...ignoring\n"
  end

  puts DRb.uri
  DRb.thread.join
end

